Yes, ok to install 1.47 if you already have 1.41.